Package org.codehaus.groovy.runtime.metaclass

# Class MetaMethodIndex.Entry

java.lang.Object
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

Enclosing class:
  `MetaMethodIndex`

public static class MetaMethodIndex.Entry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`MetaMethodIndex.CacheEntry`
`cachedMethod`
`MetaMethodIndex.CacheEntry`
`cachedMethodForSuper`
`MetaMethodIndex.CacheEntry`
`cachedStaticMethod`
`Class`
`cls`
`int`
`hash`
`Object`
`methods`
`Object`
`methodsForSuper`
`String`
`name`
`MetaMethodIndex.Entry`
`nextClassEntry`
`MetaMethodIndex.Entry`
`nextHashEntry`
`Object`
`staticMethods`

## Constructor Summary

Constructors
Constructor
Description
`Entry()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### hash

public int hash

### nextHashEntry

public MetaMethodIndex.Entry nextHashEntry

### nextClassEntry

public MetaMethodIndex.Entry nextClassEntry

### name

public String name

### cls

public Class cls

### methods

public Object methods

### methodsForSuper

public Object methodsForSuper

### staticMethods

public Object staticMethods

### cachedMethod

public MetaMethodIndex.CacheEntry cachedMethod

### cachedMethodForSuper

public MetaMethodIndex.CacheEntry cachedMethodForSuper

### cachedStaticMethod

public MetaMethodIndex.CacheEntry cachedStaticMethod

## Constructor Details

### Entry

public Entry()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`